<template>
  <div>
    <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 50px; width: 82%">
      <q-btn color="orange" icon="add" label="Kembali" />
    </div>
    <q-form
      @submit="onSubmit"
      @reset="onReset"
      class="q-gutter-md"
    >
      <div class="q-pa-md" style="width: 80%; background: #4caf50; color: white; margin-top: 50px; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
        <h6 style="margin: 0px">Upgrade Level Keanggotaan</h6>
      </div>
      <div class="q-pa-md" style="width: 80%; padding: 0; margin: auto; margin-top: 0px; display: flex disable;box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
        <div>
          <p>&nbsp;</p>

          <div class="row">
            <!-- ***** Pricing Item Start ***** -->
            <div class="col-lg-4 col-md-6 col-sm-12 col-12 " data-scroll-reveal="enter bottom move 50px over 0.6s after 0.2s">
              <div class="pricing-item hoverbesar">
                <div class="pricing-header">
                  <h3 class="pricing-title">SILVER</h3>
                </div>
                <div class="pricing-body">
                  <div class="price-wrapper">
                    <span class="currency"></span>
                    <span class="price">FREE</span>
                    <span class="period"></span>
                  </div>
                  <ul class="list">
                    <li class="active">Info Proyek</li>
                    <li class="active">Info Loker</li>
                  </ul>
                </div>

              </div>
            </div>
            <!-- ***** Pricing Item End ***** -->

            <!-- ***** Pricing Item Start ***** -->
            <div class="col-lg-4 col-md-6 col-sm-12 col-12" data-scroll-reveal="enter bottom move 50px over 0.6s after 0.4s">
              <div class="pricing-item active hoverbesar">
                <div class="pricing-header">
                  <h3 class="pricing-title">GOLD</h3>
                </div>
                <div class="pricing-body">
                  <div class="price-wrapper">
                    <span class="currency">Rp.</span>
                    <span class="price">500.000</span>
                    <span class="period"></span>
                  </div>
                  <ul class="list">
                    <li class="active">Info Proyek</li>
                    <li class="active">Info Loker</li>
                    <li class="active">Info Bahan Material</li>
                  </ul>
                </div>
                <div class="pricing-footer">
                  <a href="#" class="main-button">UPGRADE</a>
                </div>
              </div>
            </div>
            <!-- ***** Pricing Item End ***** -->

            <!-- ***** Pricing Item Start ***** -->
            <div class="col-lg-4 col-md-6 col-sm-12 col-12" data-scroll-reveal="enter bottom move 50px over 0.6s after 0.6s">
              <div class="pricing-item hoverbesar">
                <div class="pricing-header">
                  <h3 class="pricing-title">PLATINUM</h3>
                </div>
                <div class="pricing-body">
                  <div class="price-wrapper">
                    <span class="currency">Rp.</span>
                    <span class="price">1.250.000</span>
                    <span class="period"></span>
                  </div>
                  <ul class="list">
                    <li class="active">Info Proyek</li>
                    <li class="active">Info Loker</li>
                    <li class="active">Info Bahan Material</li>
                    <li class="active">Menjual Material</li>
                    <li class="active">Memberi Jasa</li>

                  </ul>
                </div>
                <div class="pricing-footer">
                  <a href="#" class="main-button">UPGRADE</a>
                </div>
              </div>
            </div>
            <!-- ***** Pricing Item End ***** -->
          </div>
          <p style="margin-top: 150px">.</p>
        </div>
      </div>


    </q-form>


  </div>
</template>

<script>

</script>

<style lang="scss" scoped>
.hoverbesar{
  height: 520px;
}

a.main-button-slider {
  font-size: 13px;
  border-radius: 20px;
  padding: 12px 20px;
  background-color: #ff589e;
  text-transform: uppercase;
  color: #fff;
  letter-spacing: 0.25px;
  -webkit-transition: all 0.3s ease 0s;
  -moz-transition: all 0.3s ease 0s;
  -o-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
}

.hoverbesar:hover {
  transform: scale(1.05) translateZ(0);
  backface-visibility: hidden;
}

a.main-button-slider:hover {
  background-color: #8261ee;
}

a.main-button {
  font-size: 13px;
  border-radius: 20px;
  padding: 12px 70px;
  background-color: #8261ee;
  text-transform: uppercase;
  color: #fff;
  letter-spacing: 0.25px;
  -webkit-transition: all 0.3s ease 0s;
  -moz-transition: all 0.3s ease 0s;
  -o-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
  text-decoration: none!important;
}

a.main-button:hover {
  background-color: #ff589e;
}

button.main-button {
  outline: none;
  border: none;
  cursor: pointer;
  font-size: 13px;
  border-radius: 20px;
  padding: 12px 20px;
  background-color: #8261ee;
  text-transform: uppercase;
  color: #fff;
  letter-spacing: 0.25px;
  -webkit-transition: all 0.3s ease 0s;
  -moz-transition: all 0.3s ease 0s;
  -o-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
}

button.main-button:hover {
  background-color: #ff589e;
}

.pricing-item {
  background: #FFFFFF;
  box-shadow: 0 2px 48px 0 rgba(0, 0, 0, 0.1);
  border-radius: 20px;
  margin-bottom: 30px;
  margin-left: 5%;
  margin-right: 5%;
  margin-top: 20px;
  padding: 30px 0px 40px 0px;
}

.pricing-item.active .pricing-header {
  position: relative;
}

.pricing-header {
  background-color: #00bfa5;

}

.pricing-item.active .pricing-header{
  color: #1e1e1e;
}

.pricing-body{
  margin-top: 30px;
}

.pricing-item.active .pricing-body .price-wrapper {
  background-color: #ff589e;
}

.pricing-item.active .pricing-body .price-wrapper .currency {
  color: #fff;
}

.pricing-item.active .pricing-body .price-wrapper .price {
  color: #fff;
}

.pricing-item.active .pricing-body .price-wrapper .period {
  color: #fff;
}

.pricing-item .pricing-header {
  text-align: center;
  display: block;
  position: relative;
  padding-bottom: 10px;
}

.pricing-item .pricing-header .pricing-title {
  font-weight: 500;
  font-size: 26px;
  letter-spacing: 0.25px;
  color: white;
  width: 180px;
  height: 30px;
  line-height: 40px;
  left: 0px;
  right: 0px;
  margin: auto;
}

.pricing-item .pricing-body {
  margin-bottom: 40px;
}

.pricing-item .pricing-body .price-wrapper {
  text-align: center;
  padding-top: 20px;
  padding-bottom: 13px;
  background: #8261ee;
  width: 80%;
  margin: auto;
  margin-bottom: 40px;
  margin-top: 5px;
  border-radius: 20px;
}

.pricing-item .pricing-body .price-wrapper .currency {
  height: 47px;
  font-weight: 500;
  font-size: 32px;
  color: #fff;
  position: relative;
  top: -1px;
}

.pricing-item .pricing-body .price-wrapper .price {
  font-weight: 500;
  font-size: 28px;
  color: #fff;
}

.pricing-item .pricing-body .price-wrapper .period {
  font-weight: 400;
  font-size: 14px;
  color: #fff;
  display: block;
  letter-spacing: 0.88px;
}

.pricing-item .pricing-body .list li {
  text-align: center;
  margin-bottom: 12px;
  font-weight: 400;
  font-size: 18px;
  color: #7a7a7a;
  letter-spacing: 0.25px;
  text-decoration: line-through;
}

.pricing-item .pricing-body .list li.active {
  color: #7a7a7a;
  text-decoration: none;
}

.list {
  height: 190px;
}

.pricing-item .pricing-footer {
  text-align: center;
  margin-top: 50px;
}
</style>
